#include <iostream>
#include "dateType.h"
using namespace std;

dateType::dateType ()
{
	day = 1;
	month = 1;
	year = 1900;
}

void dateType::setDate (int D, int M, int Y)
{
	if ( (D < 1) || (D > 31))
		D = 1;
	if ((M < 1) || (M > 12))
		M = 1;
	if ((Y < 1900) || (Y > 2010))
		Y = 1900;
	day = D;
	month = M;
	year = Y;
}

void dateType::printDate()
{
	if ((day < 10) && (month < 10))
		cout << "0" << day << "/" << "0" << month << "/" << year << endl;
	else if ( month < 10)
		cout << day << "/" << "0" << month << "/" << year << endl;
	else if ( day < 10)
		cout << "0" << day << "/" << month << "/" << year << endl;
	else
		cout << day << "/" << month << "/" << year << endl;
}
void dateType::copy (dateType date)
{
	day = date.day;
	month = date.month;
	year = date.year;
}